For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get audit records

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
eventstringOptional
summarystringOptional
detailsstringOptional
timestampstring · date-timeOptional
typestring · enumOptionalPossible values:
get/public/v1/audit/records/{id}
GET /public/v1/audit/records/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "event": "text",
  "summary": "text",
  "details": "text",
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "objectType": "text"
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "actor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "account": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "accountType": "text"
    }
  },
  "type": "text",
  "request": {
    "api": {
      "ip": "text",
      "geolocation": {
        "countryCode": "text",
        "countryName": "text",
        "region": "text"
      },
      "userAgent": "text"
    },
    "worker": {
      "workerName": "text"
    },
    "log": {
      "requestId": "text",
      "operationId": "text"
    }
  },
  "documents": {
    "ANY_ADDITIONAL_PROPERTY": {
      "options": {
        "propertyNameCaseInsensitive": true
      },
      "parent": {
        "options": {
          "propertyNameCaseInsensitive": true
        },
        "parent": {},
        "root": {}
      },
      "root": {}
    }
  },
  "viewers": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "icon": "text"
    }
  ]
}

Last updated

Was this helpful?